# TODO:
# - better descriptions
# - more ?

%define major_gck	0
%define api_gck         1

%define major_gcr	1
%define api_gcr		3

%define libname		%mklibname gcr %{api_gcr} %{major_gcr}
%define libnamebase	%mklibname gcr-base %{api_gcr} %{major_gcr}
%define libnameui	%mklibname gcr-ui %{api_gcr} %{major_gcr}
%define libnamegck	%mklibname gck %{api_gck} %{major_gck}
%define girname		%mklibname gcr-gir %{major_gcr}
%define girnamegck	%mklibname gck-gir %{major_gck}
%define girnameui	%mklibname gcr-ui-gir %{major_gcr}
%define libnamedev	%mklibname -d gcr 

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	A library for bits of crypto UI and parsing
Name:		gcr
Version:	3.10.1
Release:	%mkrel 2
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		gcr-fix-string-literal.patch
URL:		http://www.gnome.org/
License:	GPLv2+ and LGPLv2+
Group:		Networking/Remote access
BuildRequires:	intltool
BuildRequires:	libgcrypt-devel
BuildRequires:	libtasn1-tools
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(p11-kit-1) >= 0.19.0
BuildRequires:	pkgconfig(libtasn1)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(vapigen)
Conflicts:	gnome-keyring < 3.3.1

%description
A library for bits of crypto UI and parsing etc.

This package also contains the gcr-viewer binary.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for integration with the gnome keyring system
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{_lib}gnome-keyring < 2.29.4
Obsoletes:	%{_lib}gcr-3_0 < 3.1.4
Obsoletes:	%{_lib}gcr-3_1 < 3.1.91

%description -n %{libname}
This package contains shared libraries for Gnome keyring.

%package -n %{libnamegck}
Group:		System/Libraries
Summary:	Library for integration with the gnome keyring system

%description -n %{libnamegck}
This package contains shared libraries for Gnome keyring.

%package -n %{libnamebase}
Group:          System/Libraries
Summary:        Library for integration with the gnome keyring system

%description -n %{libnamebase}
This package contains shared libraries for Gnome keyring.

%package -n %{libnameui}
Group:          System/Libraries
Summary:        Library for integration with the gnome keyring system

%description -n %{libnameui}
This package contains shared libraries for Gnome keyring.

%package -n %{libnamedev}
Group:		Development/C
Summary:	Development files and headers for %{name}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamegck} = %{version}-%{release}
Requires:	%{libnamebase} = %{version}-%{release}
Requires:	%{libnameui} = %{version}-%{release}
Provides:	libgcr-devel = %{version}-%{release}
Conflicts:	%{_lib}-gnome-keyring-devel < 2.29.4

%description -n %{libnamedev}
Thi package contains the development files and headers for %{name}.

%package -n %{girname}
Summary:        GObject Introspection interface description for Gcr
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for Gcr.

%package -n %{girnameui}
Summary:        GObject Introspection interface description for Gcr
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girnameui}
GObject Introspection interface description for Gcr.

%package -n %{girnamegck}
Summary:        GObject Introspection interface description for Gck
Group:          System/Libraries
Requires:       %{libnamegck} = %{version}-%{release}

%description -n %{girnamegck}
GObject Introspection interface description for Gck.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-update-mime \
	--disable-schemas-compile \
	--enable-introspection=yes
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS
%{_bindir}/gcr-viewer
%{_libexecdir}/gcr-prompter
%{_datadir}/%{name}-%{api_gcr}/
%{_datadir}/dbus-1/services/org.gnome.keyring.PrivatePrompter.service
%{_datadir}/dbus-1/services/org.gnome.keyring.SystemPrompter.service
%{_datadir}/GConf/gsettings/org.gnome.crypto.pgp*.convert
%{_datadir}/glib-2.0/schemas/org.gnome.crypto.pgp*.xml
%{_datadir}/applications/gcr-viewer.desktop
%{_datadir}/applications/gcr-prompter.desktop
%{_datadir}/mime/packages/gcr-crypto-types.xml
%{_datadir}/icons/hicolor/*/apps/gcr*.png

%files -n %{libnamegck}
%{_libdir}/libgck-%{api_gck}.so.%{major_gck}*

%files -n %{girnamegck}
%{_libdir}/girepository-1.0/Gck-%{api_gck}.typelib

%files -n %{libnamebase}
%{_libdir}/libgcr-base-%{api_gcr}.so.%{major_gcr}*

%files -n %{libnameui}
%{_libdir}/libgcr-ui-%{api_gcr}.so.%{major_gcr}*

%files -n %{libname}
%{_libdir}/libgcr-%{api_gcr}.so.%{major_gcr}*

%files -n %{libnameui}
%{_libdir}/libgcr-ui-%{api_gcr}.so.%{major_gcr}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Gcr-%{api_gcr}.typelib

%files -n %{girnameui}
%{_libdir}/girepository-1.0/GcrUi-%{api_gcr}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/libgck-%{api_gck}.so
%{_libdir}/libgcr-%{api_gcr}.so
%{_libdir}/libgcr-ui-%{api_gcr}.so
%{_libdir}/libgcr-base-%{api_gcr}.so
%{_includedir}/gck-%{api_gck}
%{_includedir}/gcr-%{api_gcr}
%{_libdir}/pkgconfig/gck-%{api_gck}.pc
%{_libdir}/pkgconfig/gcr-%{api_gcr}.pc
%{_libdir}/pkgconfig/gcr-base-%{api_gcr}.pc
%{_libdir}/pkgconfig/gcr-ui-%{api_gcr}.pc
%{_datadir}/gir-1.0/Gck-%{api_gck}.gir
%{_datadir}/gir-1.0/Gcr-%{api_gcr}.gir
%{_datadir}/gir-1.0/GcrUi-%{api_gcr}.gir
%{_datadir}/vala/vapi/gck-%{api_gck}.*
%{_datadir}/vala/vapi/gcr-%{api_gcr}.*
%{_datadir}/vala/vapi/gcr-ui-%{api_gcr}.*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 546087
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 502138
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484474
- new version 3.10.0

* Tue Sep 17 2013 dams <dams> 3.9.91-1.mga4
+ Revision: 480860
- update BR and %%file
- new version 3.9.90

  + ovitters <ovitters>
    - new version 3.9.91

* Sun Jul 28 2013 dams <dams> 3.9.1-1.mga4
+ Revision: 459254
- new version 3.9.1

* Sat May 25 2013 ovitters <ovitters> 3.8.1-1.mga4
+ Revision: 427529
- update file list
- add string literal patch
- new version 3.8.1

* Fri Jan 11 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 351119
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 12 2012 ovitters <ovitters> 3.6.2-1.mga3
+ Revision: 317150
- new version 3.6.2

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306802
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297607
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295890
- new version 3.5.92

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282553
- new version 3.5.90

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279348
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271325
- new version 3.5.4

* Wed Jun 27 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 264514
- new version 3.5.3

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231054
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226619
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224350
- new version 3.3.92

* Thu Mar 01 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 216291
- update file list
- new version 3.3.90

* Fri Feb 10 2012 wally <wally> 3.3.5-1.mga2
+ Revision: 206903
- new version 3.3.5

* Mon Jan 16 2012 wally <wally> 3.3.4-1.mga2
+ Revision: 196954
- new version 3.3.4

* Wed Dec 21 2011 wally <wally> 3.3.3.1-1.mga2
+ Revision: 185462
- new version 3.3.3.1
- drop P0, fixed upstream

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184446
- new version 3.3.3
- ad P0 to fix str fmt

* Wed Nov 23 2011 wally <wally> 3.3.2.1-1.mga2
+ Revision: 171374
- new version 3.3.2.1
- drop P1, fixed upstream

* Mon Nov 21 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 170459
- new version 3.3.2
- drop P0
- add P1 to fix build with latest glib
- enable introspection

* Thu Oct 27 2011 wally <wally> 3.3.1.1-1.mga2
+ Revision: 158778
- imported package gcr

